module.exports = {
  create: {
    requestBody: [
      "total",
      "day",
      "color",
      "batchnum",
      "classnum",
      "stunum",
      "carpnum",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "total",
      "day",
      "color",
      "batchnum",
      "classnum",
      "stunum",
      "carpnum",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        total: "total",
        day: "day",
        color: "color",
        batchnum: "batchnum",
        classnum: "classnum",
        stunum: "stunum",
        carpnum: "carpnum",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
