module.exports = {
  create: {
    requestBody: [
      'am_start',
      'am_end',
      'pm_start',
      'pm_end',
      'bd_start',
      'bd_end'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'am_start',
      'am_end',
      'pm_start',
      'pm_end',
      'bd_start',
      'bd_end'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        am_start :'am_start'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
